[SOLVED]Failed to reinstall - XUbuntu


#1

Hi!
I tried to reinstall my atom.

First removed with

“apt-get purge atom”

Than downloaded the new .deb from site and installed with Ubuntu Sofrware Center.

Start icon was created. After start its showning only white window and a console with error messages:

Error: Module version mismatch. Expected 16, got 17.
at Error (native)
at Object.module.(anonymous function) [as .node] (/usr/share/atom/resources/atom/common/lib/asar.js:422:20)
at Module.load (/usr/share/atom/resources/app/node_modules/coffee-script/lib/coffee-script/register.js:45:36)
at Function.Module._load (module.js:318:12)
at Module.require (module.js:373:17)
at require (module.js:392:17)
at Object. (/usr/share/atom/resources/app/node_modules/pathwatcher/lib/main.js:6:13)
at Object. (/usr/share/atom/resources/app/node_modules/pathwatcher/lib/main.js:207:4)
at Module._compile (module.js:468:26)
at Object.Module._extensions…js (module.js:486:10)
at Module.load (/usr/share/atom/resources/app/node_modules/coffee-script/lib/coffee-script/register.js:45:36)
at Function.Module._load (module.js:318:12)
at Module.require (module.js:373:17)
at require (module.js:392:17)
at Object. (/usr/share/atom/resources/app/src/config.js:18:17)
at Object. (/usr/share/atom/resources/app/src/config.js:1050:4)
at Module._compile (module.js:468:26)
at Object.Module._extensions…js (module.js:486:10)
at Module.load (/usr/share/atom/resources/app/node_modules/coffee-script/lib/coffee-script/register.js:45:36)
at Function.Module._load (module.js:318:12)
at Module.require (module.js:373:17)
at require (module.js:392:17)
at Atom.module.exports.Atom.initialize (/usr/share/atom/resources/app/src/atom.js:249:16)
at Object. (/usr/share/atom/resources/app/src/window-bootstrap.js:10:8)
at Object. (/usr/share/atom/resources/app/src/window-bootstrap.js:23:4)
at Module._compile (module.js:468:26)
at Object.Module._extensions…js (module.js:486:10)
at Module.load (/usr/share/atom/resources/app/node_modules/coffee-script/lib/coffee-script/register.js:45:36)
at Function.Module._load (module.js:318:12)
at Module.require (module.js:373:17)
at require (module.js:392:17)
at window.onload (file:///usr/share/atom/resources/app/static/index.js:49:25)
index.js:63window.onload index.js:63
Uncaught TypeError: Cannot read property ‘dispatch’ of null /usr/share/atom/resources/app/src/space-pen-extensions.js:64

How to reinstall correctly?


Uninstalled, restarted, installed again and its working.